%define upstream_name    Test-CPAN-Meta
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Validation of META.yml specification elements
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(Parse::CPAN::Meta) >= 0.20.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 0.700.0
BuildArch:  noarch

%description
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that are
slowly being introduced to module uploads, via the use of package makers
and installers such as the ExtUtils::MakeMaker manpage, the Module::Build
manpage and the Module::Install manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-2.mga4
+ Revision: 527343
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.230.0-1.mga4
+ Revision: 439926
- update to 0.23

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 373371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.220.0-1.mga3
+ Revision: 286516
- update to 0.22

* Tue Jun 05 2012 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 255495
- update to 0.21

* Tue Feb 22 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 56840
- update to 0.18

* Fri Jan 21 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 28784
- mageia rebuild
- imported package perl-Test-CPAN-Meta

